#ifndef BOX_H
#define BOX_H

/**
 * Struct representing the simulation box.
 * Currently the simulation box is always assumed to be perfectly rectangular.
 * This code does not support shearing the box. This functionality may be added
 * in later.
 */
template <typename T> struct Box {
  T xlo;
  T xhi;
  T ylo;
  T yhi;
  T zlo;
  T zhi;
  bool x_is_periodic;
  bool y_is_periodic;
  bool z_is_periodic;
};

#endif
