#ifndef PARTICLE_H
#define PARTICLE_H

#include "vec3.h"

/**
 * Class representing a single molecular dynamics particle.
 * This class is only used on the host side of the code and is converted
 * to the device arrays.
 */
template <typename T = float> struct Particle {
  Vec3<T> pos;
  Vec3<T> vel;
  Vec3<T> force;
  T mass;
};

#endif
